Subject: bug#8623: 23.3.50; (woman "git-remote") crashes

From: Sven Joachim <[email-masked]>
Date: Fri, 06 May 2011 12:50:04 +0200

On 2011-05-06 12:15 +0200, Eli Zaretskii wrote:

>> From: Sven Joachim <[email-masked]>
>> Cc: [email-masked]
>> Date: Thu, 05 May 2011 23:12:18 +0200
>> 
>> $ gcc --version | head -n1
>> gcc (Debian 4.6.0-6) 4.6.1 20110428 (prerelease)
>> 
>> > Also, can you build Emacs without optimizations, and try reproducing
>> > in the unoptimized binary?
>> 
>> Alas, the unoptimized binary does not crash.
>
> Darn!  Debugging optimized code is pretty much hopeless with current
> versions of GCC.
>
> Paul, could you please take a look at this?  Could this be due to the
> same problems with GCC 4.6 optimizations you recently fixed on the
> trunk?  If so, we may need similar changes on the release branch.

I suspect so, because…

> Sven, could you also try with the trunk build?

The trunk is fine.  I'm already bisecting the problem, but have to leave
in 1.5 hours and will then be unavailable until Sunday.  If I find out
the commit which fixed the bug, I'll let you know.

Cheers,
       Sven